> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Return properties for all existing collections



## OpenAPI

````yaml /api-reference/4.2/service-collections.json get /collections
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service collections
servers:
  - url: /api/apollo/
security: []
tags:
  - name: collections
paths:
  /collections:
    get:
      tags:
        - 4.2 Collections API
      summary: Return properties for all existing collections
      operationId: getCollections
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Collection'
components:
  schemas:
    Collection:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        createdAt:
          type: string
          format: date-time
        searchClusterId:
          type: string
        commitWithin:
          type: integer
          format: int32
        features:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Feature'
        compositeIdSpec:
          $ref: '#/components/schemas/CompositeIdSpec'
        solrParams:
          $ref: '#/components/schemas/CreateCollectionCmd'
        modifiedAt:
          type: string
          format: date-time
        type:
          type: string
          enum:
            - DATA
            - LOGS
            - METRICS
            - SIGNALS
            - SIGNALS_AGGREGATION
            - SEARCHLOGS
            - SYNONYMS
            - RECOMMENDATIONS
            - HISTORY
            - BLOBS
            - MESSAGES
            - TAXONOMY
            - CRAWL_DB
            - JOB_HISTORY
            - ARCHIVING
            - AUTOCOMPLETE_DOCUMENTS
            - QUERY_REWRITE
            - USER_PREFS
            - JOB_REPORTS
            - 'NULL'
        relatedCollectionId:
          type: string
        metadata:
          type: object
          additionalProperties:
            type: string
    Feature:
      type: object
      properties:
        name:
          type: string
        collectionId:
          type: string
        params:
          type: object
          additionalProperties:
            type: object
        enabled:
          type: boolean
          default: false
    CompositeIdSpec:
      type: object
      properties:
        routeKey1Field:
          type: string
        routeKey1Bits:
          type: integer
          format: int32
        routeKey2Field:
          type: string
        routeKey2Bits:
          type: integer
          format: int32
    CreateCollectionCmd:
      type: object
      properties:
        name:
          type: string
        numShards:
          type: integer
          format: int32
        replicationFactor:
          type: integer
          format: int32
        collection.configName:
          type: string

````